## de.ix.jspTutorial.controller
Class ScreenFlowManager

    java.lang.Object
      |
      +--de.ix.jspTutorial.controller.ScreenFlowManager

public class ScreenFlowManager
extends java.lang.Object

The `BBG_ScreenFlowManager</class> class maps the requested URL to the coresponding java server pages`

Version:
  $Id:$
Author:
  Peter Rossbach (pr@webapp.de), Lars Röwekamp ( lars.roewekamp@openKnowledge.de)

Field Summary
`static java.lang.String` `vcid` version of the source

Constructor Summary
`ScreenFlowManager()` default constructor

Method Summary
`java.lang.String` `getNextPageName(javax.servlet.http.HttpServletRequest request)` Calculate the next page to display depending on the current request type and additional enviroment conditions.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### vcid

    public static java.lang.String vcid

  version of the source

Constructor Detail

### ScreenFlowManager

    public ScreenFlowManager()

  default constructor

Method Detail

### getNextPageName

    public java.lang.String getNextPageName(javax.servlet.http.HttpServletRequest request)

  Calculate the next page to display depending on the current request type and additional enviroment conditions.
  Parameters:
    `request` - HttpServletRequest
  Returns:
    Name of the next page to display

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~